---
title: vultr_backup
url: https://docs.vultr.com/reference/terraform/data-sources/backup
description: Retrieves information about a Vultr backup including its description, size, status, and creation date
publish_date: 2025-09-15T13:32:36.908870Z
last_updated: 2025-09-15T14:14:36.627625Z
---

# vultr_backup

Get information about a Vultr backup. This data source provides a list of backups which contain the description, size, status, and the creation date for your Vultr backup.

## Example Usage

Get the information for a backup by `description`:

```hcl
data "vultr_backup" "my_backup" {
  filter {
    name = "description"
    values = ["my-backup-description"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding backups.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `id` - The ID of the backup
* `description` - The description of the backup.
* `size` - The size of the backup in bytes.
* `status` - The status of the backup.
* `date_created` - The date the backup was added to your Vultr account.